Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 23

Thread: No Ext JS 3 support in Sencha Architect, let's get back to Designer 2.0 Beta

  1. #11
    Sencha User
    Join Date
    Sep 2010
    Posts
    13

    Default

    Thank you very much!

  2. #12
    Sencha User Phil.Strong's Avatar
    Join Date
    Mar 2007
    Location
    Olney, MD
    Posts
    1,953

    Default

    I'll be working on fixing bugs in Ext Designer from now until it's done. Let me know if their are any you find especially hideous.
    Phil Strong
    @philstrong

  3. #13
    Sencha User
    Join Date
    Sep 2010
    Posts
    13

    Default

    Thanks for your attention!

    The most important one for me is this one: http://www.sencha.com/forum/showthre...empty&p=781874. This prevents me from upgrading from 1.1 to 1.2.

    One thing I also noticed is that stores are no longer instantiated automatically: the "Instantiate stores" option in the project preferences is gone, and stores are not created automatically like they used to be in 1.1. I can of course work around this, but due to the size of my projects I would rather see a fix in Designer.

    Finally, it would really make my life a lot easier if this feature could be added: http://www.sencha.com/forum/showthre...e-to-selection. However I appreciate that this might be asking a bit too much for a bug fix release :-)

  4. #14
    Sencha User
    Join Date
    Feb 2008
    Posts
    36

    Default

    yeah ... the store problem is really a pain in the a** ... I have the same problem .. yes I can work around it , but that's not what I paid for (it used to work).

    oh .. about the licences ...

    So I have ExtJS3 projects (Designer 1) but also upcomming Touch2 projects (Architect) ... If I upgrade from Designer to Architect ... Do I still have a license for Desginer for future updates? Because I need Designer for my ExtJS3 projects. But I also want to developer for ExtJS4 and Sencha Touch2.

  5. #15
    Sencha User Phil.Strong's Avatar
    Join Date
    Mar 2007
    Location
    Olney, MD
    Posts
    1,953

    Default

    Quote Originally Posted by yozefff View Post
    yeah ... the store problem is really a pain in the a** ... I have the same problem .. yes I can work around it , but that's not what I paid for (it used to work).

    oh .. about the licences ...

    So I have ExtJS3 projects (Designer 1) but also upcomming Touch2 projects (Architect) ... If I upgrade from Designer to Architect ... Do I still have a license for Desginer for future updates? Because I need Designer for my ExtJS3 projects. But I also want to developer for ExtJS4 and Sencha Touch2.
    Of course you do. No worries here.
    Phil Strong
    @philstrong

  6. #16
    Sencha User Phil.Strong's Avatar
    Join Date
    Mar 2007
    Location
    Olney, MD
    Posts
    1,953

    Default

    Quote Originally Posted by elentirmo View Post
    Thanks for your attention!

    1 - The most important one for me is this one: http://www.sencha.com/forum/showthre...empty&p=781874. This prevents me from upgrading from 1.1 to 1.2.

    2 - One thing I also noticed is that stores are no longer instantiated automatically: the "Instantiate stores" option in the project preferences is gone, and stores are not created automatically like they used to be in 1.1. I can of course work around this, but due to the size of my projects I would rather see a fix in Designer.

    3- Finally, it would really make my life a lot easier if this feature could be added: http://www.sencha.com/forum/showthre...e-to-selection. However I appreciate that this might be asking a bit too much for a bug fix release :-)
    1. We fixed this in Architect so asking Bharat, who worked on it, to weigh in on this one.
    2. I'll see what I can do here. I'm pretty sure we instantiate them in Architect so could simply be a patch.
    3. While it would be nice, we are doing a non feature release. Bugs only
    Phil Strong
    @philstrong

  7. #17
    Sencha Premium Member jasonsti's Avatar
    Join Date
    Dec 2010
    Posts
    54

    Default

    good to see the links for the older versions, but one problem, there is a server error when it comes to activation, any one else having this problem???

  8. #18
    Sencha User aconran's Avatar
    Join Date
    Mar 2007
    Posts
    9,488

    Default

    Quote Originally Posted by jasonsti View Post
    good to see the links for the older versions, but one problem, there is a server error when it comes to activation, any one else having this problem???
    If you have an active license for your forum username and are still getting a server error please contact [email protected]. We are no longer providing trials for Ext Designer.
    Aaron Conran
    @aconran

  9. #19

    Default

    Hi,

    I am currently dealing with ExtJs 3.4 projects now, I tried the two installer here and when I tried to register with my account, it gave a a "server error" message. May I know why is this ?

  10. #20
    Sencha User aconran's Avatar
    Join Date
    Mar 2007
    Posts
    9,488

    Default

    Quote Originally Posted by silentkid View Post
    Hi,

    I am currently dealing with ExtJs 3.4 projects now, I tried the two installer here and when I tried to register with my account, it gave a a "server error" message. May I know why is this ?
    New trials have been turned off since the release of Architect 2. If you previously purchased a license to Ext Designer and/or have bought a license to Sencha Architect, please email designer.feedback at sencha.com and we will activate your account with your licensing info.
    Aaron Conran
    @aconran

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •